package ru.somecompany.service;

import ru.somecompany.domain.CreateVacancyRequest;
import ru.somecompany.domain.VacancyEntity;
import ru.somecompany.domain.VacancyResponse;

import java.util.List;
import java.util.UUID;

public interface VacancyService {

    List<VacancyEntity> getVacancies();

    VacancyEntity createVacancy(CreateVacancyRequest request);

    VacancyEntity updateVacancy(UUID vacancyId, CreateVacancyRequest request);

    void deleteVacancy(UUID vacancyId);

    VacancyResponse getVacancy(UUID vacancyId);
}
